Bug 3757 - dejagnu tests have hard wired paths
Summary: dejagnu tests have hard wired paths
Status: RESOLVED FIXED
Alias: None
Product: frysk
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Stan Cox
URL:
Keywords:
Depends on:
Blocks: 3548
  Show dependency treegraph
 
Reported: 2006-12-19 04:08 UTC by Andrew Cagney
Modified: 2006-12-21 16:38 UTC (History)
0 users

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Cagney 2006-12-19 04:08:02 UTC
The dejagnu tests can't be run from the install tree - they contain hard-wired
build tree paths.
Comment 1 Stan Cox 2006-12-20 22:37:52 UTC
This patch works, assuming: 
1) srcdir and objdir are set properly in site.exp 
 e.g. if running runtest from frysk/install given frysk/bld and frysk/src:
# add to site.exp
set srcdir ../src/frysk-core
set objdir /tmp
2) fcore, fstack, hpd are on the PATH.  This is currently not true as hpd is not
being installed so state left as ASSIGNED pending fixing that.

+       * expr/CppParser.exp (hpd_path): New for install tree testing.
+       * util/fcore.exp (funit_path, fcore_path): Likewise.
+       * util/fstack.exp (funit_path, fstack_path): Likewise.

Comment 2 Stan Cox 2006-12-21 16:38:36 UTC
fhpd.java and fhpd.xml committed.

% make check-DEJAGNU
                ===  Summary ===
# of expected passes            32
% PATH=`pwd`/lib/frysk/:`pwd`/bin:$PATH runtest \
--srcdir../src/frysk-core/testsuite --objdir /tmp
                ===  Summary ===
# of expected passes            28  
(skip tests that rely on uninstalled test program)